Apps
Rename an app, set member access, or hand it to another agent definition
PATCH /v1/apps/{appId} · SDK updateApp · CLI deployments app update
PATCH
Requires apps:write; admits human callers.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
appId*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512application/json- body
access?agentDefinitionId?stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$name?stringMatch
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 120AppResponse
application/json- response
access*agentDefinitionId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timecreatedBy*environmentId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$id*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$lifecycle*||||name*stringorganizationId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$projectId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$publication*slug*stringupdatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeurl*stringworkspaceId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$curl -X PATCH "https://example.com/v1/apps/string" \ -H "x-deployments-environment: string" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{}'{ "access": { "organizationMembers": "none" }, "agentDefinitionId": "string", "createdAt": "2019-08-24T14:15:22Z", "createdBy": { "principalId": "string", "runId": "string" }, "environmentId": "string", "id": "string", "lifecycle": { "requestedAt": "2019-08-24T14:15:22Z", "state": "provisioning" }, "name": "string", "organizationId": "string", "projectId": "string", "publication": { "audience": "members", "serving": "single-page" }, "slug": "string", "updatedAt": "2019-08-24T14:15:22Z", "url": "string", "workspaceId": "string"}